#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              1.1.1.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-1.1.1.0-8OWy9l8sT9wCcXCzAf1cdn-tasty-sugar-internal

key:
    tasty-sugar-1.1.1.0-8OWy9l8sT9wCcXCzAf1cdn-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  95b5594104d93c00a6e1772e31dc88a5
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.ExpectCheck Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.RootCheck
    Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-8.10.5/site-local/tasty-sugar-1.1.1.0
library-dirs:         /usr/lib/ghc-8.10.5/site-local/tasty-sugar-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/tasty-sugar-1.1.1.0
hs-libraries:
    HStasty-sugar-1.1.1.0-8OWy9l8sT9wCcXCzAf1cdn-tasty-sugar-internal

depends:
    base-4.14.2.0 filemanip-0.3.6.3-5Ftr9nUv1bDEMXhF4gGa8c
    filepath-1.4.2.1 kvitable-1.0.0.0-9YSKSsPzVGCvoYSospC9i
    logict-0.7.1.0-6mrUnZ7ZFKy6AwUgQXLdJ0
    microlens-0.4.12.0-7mbtYeVEJj9DE2AV66WaoK
    prettyprinter-1.7.0-2k3IpzNuta42oe8XIUM8Fs text-1.2.4.1

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              1.1.1.0
visibility:           public
id:                   tasty-sugar-1.1.1.0-CbC4Gh3yBhDLuVKCYV32Vz
key:                  tasty-sugar-1.1.1.0-CbC4Gh3yBhDLuVKCYV32Vz
license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  9bbaeba36badb8084098db51fdecc1d2
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-8.10.5/site-local/tasty-sugar-1.1.1.0
library-dirs:         /usr/lib/ghc-8.10.5/site-local/tasty-sugar-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/tasty-sugar-1.1.1.0
hs-libraries:         HStasty-sugar-1.1.1.0-CbC4Gh3yBhDLuVKCYV32Vz
depends:
    base-4.14.2.0 directory-1.3.6.0
    filemanip-0.3.6.3-5Ftr9nUv1bDEMXhF4gGa8c filepath-1.4.2.1
    logict-0.7.1.0-6mrUnZ7ZFKy6AwUgQXLdJ0
    optparse-applicative-0.16.1.0-I5IUJeu2M04AGs6xg5A1ij
    prettyprinter-1.7.0-2k3IpzNuta42oe8XIUM8Fs
    tagged-0.8.6.1-F25vmSN4H5fEaMJYsLgYMV
    tasty-1.4.1-KEazIReHVDU4LRt0q2xTPO
    tasty-sugar-1.1.1.0-8OWy9l8sT9wCcXCzAf1cdn-tasty-sugar-internal
    text-1.2.4.1

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

